Skip to main content

API 4: Blockchain Status

Retrieve blockchain status

Use this API to check a blockchain record. You get the status, time, and a link.

For a submitted file, send uniqueid. For a blockchain trigger, send guid. Send only one ID per call.

ItemDescription
Provider End Point URIhttps://my.veridocglobal.com/api/getblockchainstatus
Interface descriptionAllow to check blockchain status
Mode of InterfaceRESTFUL API (JSON)
SecurityAuthorization Header: Access Key
Supports Multi-RecordsNo
Method(s)POST
Request Body Content-TypeApplication/JSON

Sample retrieve-blockchain-status request header:

Request Header

Content-Type: application/x-www-form-urlencoded
Content-Length: 0
apikey: < To enter API Key as provided by VeriDoc Global >
payload: < SHA256 HASH of (APIKEYUNIQUEIDSECRETKEY) OR (APIKEYGUIDSECRETKEY)>

Sample retrieve-blockchain-status request body:

Request Body

{
"uniqueid": "uniqueid to retrieve blockchain status of Submit Document API"
OR
"guid": "GUID to retrieve blockchain status for Blockchain Transaction Trigger API"
}
Field NameDescriptionMandatory Comments
uniqueidFor Submit Document, send uniqueid only.YesPayload: SHA256 hash of API key + uniqueid + secret key.
Send only one uniqueid or guid per call.
guidFor Blockchain Tx Trigger, send guid only.YesPayload: SHA256 hash of API key + guid + secret key.

Sample retrieve-blockchain-status response:

RESPONSE FOR CHILD QR CODE
{
"uniqueid": "6b6192b7-0dcf-4cbe-bf36-db41588adc19",
"verifyurl": "https://veridocglobal.com/verify/testnet/document/6b6192b7-0dcf-4cbe-bf36-db41588adc19",
"fileurl": "https://drive.google.com/file/d/1Y_PMrGnwCQo3aYTZfEi_gu1yzGkasQH_/view",
"blockchainurl": "https://ropsten.etherscan.io/tx/0x6115b6a7c6e9c36281e402aa294d041fe7030fdfdb5eaa13ca686d50a90af6cf",
"blockchaindata": "aeb90dc8f782234cb3af7d30e99473129269544206b02de573b56ff6104af117",
"transactionid": "0x6115b6a7c6e9c36281e402aa294d041fe7030fdfdb5eaa13ca686d50a90af6cf",
"blockchainstatus": "Success",
"blockchaintimestamp": "3:33 26/10/2020 UTC",
"returncode": "1",
"message": "Blockchain status retrieved successfully.",
"parentqrcode": {
"uniqueid": "dcdbfa3b-e883-4406-96c3-8cb0cd480c89",
"verifyurl": "https://veridocglobal.com/verify/testnet/document/dcdbfa3b-e883-4406-96c3-8cb0cd480c89",
"fileurl": "https://drive.google.com/file/d/1Y_PMrGnwCQo3aYTZfEi_gu1yzGkasQH_/view",
"blockchaindata": "ba5ab33674db8cb2ef80174f8dcce10931575ab0b36fb045da457124dfda3400",
"transactionid": "0x55024cf1eed01c075090d6ba880d50a6ff542a1fbe5c66f93f2f1cd6b6c734bb",
"blockchainstatus": "Success",
"blockchainurl": "https://ropsten.etherscan.io/tx/0x55024cf1eed01c075090d6ba880d50a6ff542a1fbe5c66f93f2f1cd6b6c734bb",
"blockchaintimestamp": "10:20 22/10/2020 UTC"
},
"childblockchaintriggers": [
{
"guid": "de99d596-c5a7-4f66-84bb-a3c8653b9865",
"blockchaindata": "Sample Data | UHV",
"transactionid": "0xe22b15d546376d0f137f033faacd9165e3ed9859ce9ff839c0f42ab79aaf645b",
"blockchainstatus": "Success",
"blockchainurl": "https://ropsten.etherscan.io/0xe22b15d546376d0f137f033faacd9165e3ed9859ce9ff839c0f42ab79aaf645b",
"blockchaintimestamp": "3:43 26/10/2020 UTC"
},
{
"guid": "4f213ba6-31b9-4937-a4e8-0f3e3bc87ea8",
"blockchaindata": "Sample Data | UHV",
"transactionid": "0x552eae72248bd871becad4f9be570d37cb7008fcab1e7181116ba91556126884",
"blockchainstatus": "Success",
"blockchainurl": "https://ropsten.etherscan.io/0x552eae72248bd871becad4f9be570d37cb7008fcab1e7181116ba91556126884",
"blockchaintimestamp": "4:17 26/10/2020 UTC"
}
]
}
RESPONSE FOR PARENT QR CODE
{
"guid": "3ffd2435-18d5-4ffe-a53a-481c8521a98e",
"verifyurl": "https://veridocglobal.com/Verify/MainNet/14bf01aa-ea05-42ec-aa8a-1b596a95898b",
"fileurl": "https://drive.google.com/file/d/1Y_PMrGnwCQo3aYTZfEi_gu1yzGkasQH_/view",
"blockchainurl": "https://ropsten.etherscan.io/tx/0xe514afda21085a3b8a50839619d1fa379c393306ad6880dd6875d40581c6244a",
"blockchaindata": "Sample Data | UHV",
"transactionid": "0xe514afda21085a3b8a50839619d1fa379c393306ad6880dd6875d40581c6244a",
"blockchainstatus": "Success",
"Blockchain Timestamp": "23:20 23/08/2020 UTC",
"returncode": "1",
"message": "Blockchain status retrieved successfully.",
"childqrcodes": [
{
"uniqueid": "dcdbfa3b-e883-4406-96c3-8cb0cd480c89",
"verifyurl": "https://veridocglobal.com/Verify/MainNet/14bf01aa-ea05-42ec-aa8a-1b596a95898b",
"fileurl": "https://drive.google.com/file/d/1Y_PMrGnwCQo3aYTZfEi_gu1yzGkasQH_/view",
"blockchaindata": "ba5ab33674db8cb2ef80174f8dcce10931575ab0b36fb045da457124dfda3400",
"transactionid": "0x55024cf1eed01c075090d6ba880d50a6ff542a1fbe5c66f93f2f1cd6b6c734bb",
"blockchainstatus": "Success",
"blockchainurl": "https://ropsten.etherscan.io/tx/0x55024cf1eed01c075090d6ba880d50a6ff542a1fbe5c66f93f2f1cd6b6c734bb",
"Blockchain Timestamp": "23:20 23/08/2020 UTC"
},
{
"uniqueid": "f6e6494c-eebb-41f1-8caf-6af6664a4b3a",
"verifyurl": "https://veridocglobal.com/Verify/MainNet/14bf01aa-ea05-42ec-aa8a-1b596a95898b",
"fileurl": "https://drive.google.com/file/d/1Y_PMrGnwCQo3aYTZfEi_gu1yzGkasQH_/view",
"blockchaindata": "8a13225f9383aaeb542b2ab79a2b29af737a0e2446ecfa945a4d502c7586d533",
"transactionid": "0x4130766c7912b090e9ecf54d508fab7e5d2506afb2f44d4b59d45509729319a0",
"blockchainstatus": "Success",
"blockchainurl": "https://ropsten.etherscan.io/tx/0x4130766c7912b090e9ecf54d508fab7e5d2506afb2f44d4b59d45509729319a0",
"Blockchain Timestamp": "23:20 23/08/2020 UTC"
}
],
"childblockchaintriggers": [
{
"guid": "de99d596-c5a7-4f66-84bb-a3c8653b9865",
"blockchaindata": "Sample Data | UHV",
"transactionid": "0xe22b15d546376d0f137f033faacd9165e3ed9859ce9ff839c0f42ab79aaf645b",
"blockchainstatus": "Success",
"blockchainurl": "https://ropsten.etherscan.io/0xe22b15d546376d0f137f033faacd9165e3ed9859ce9ff839c0f42ab79aaf645b",
"blockchaintimestamp": "3:43 26/10/2020 UTC"
},
{
"guid": "4f213ba6-31b9-4937-a4e8-0f3e3bc87ea8",
"blockchaindata": "Sample Data | UHV",
"transactionid": "https0x552eae72248bd871becad4f9be570d37cb7008fcab1e7181116ba91556126884",
"blockchainstatus": "Success",
"blockchainurl": "https://ropsten.etherscan.io/0x552eae72248bd871becad4f9be570d37cb7008fcab1e7181116ba91556126884",
"blockchaintimestamp": "4:17 26/10/2020 UTC"
}
]
}
Field NameDescriptionMandatory Comments
returncodeRefers to the statusYes1 - Success
Any other code (2, 3, 4, …) means auth failed or a field is missing.
uniqueid/guidUnique Identifier ID for Transaction
messageMessage describing the return codeProvide all possible message from our servers
- You are not authorized to perform this Action
- Please provide uniqueid or guid to get blockchain status
- You can only pass one ID at a time. Please provide only one of the following: uniqueid OR guid to get blockchain status
- We are currently securing this request. Please try again later.
- Blockchain status retrieved successfully.
- No data found for the uniqueid you have passed in the parameter. Please try again with a different uniqueid.
- No data found for the guid you have passed in the parameter. Please try again with a different guid.
- Hash does not matched
- Internal server error occured
transactionidBlockchain transaction ID retrieved from blockchainUse this for search for transaction record in blockchain explorer
blockchaindataAll information sent in transaction
blockchainurlBlockchain tx unique URL for verifying UHV in blockchainYou can show this URL as a “Verify on Blockchain” button on your verify page
blockchaintimestampEg. 23:20 23/08/2020 UTCTime when the request was sent. UTC date and time.
verifyurlVerify page URL for parent and child QR codes.Blockchain Tx Trigger has no verify page or QR code.
FileurlFile URL sent with Submit Document.
childqrcodesChild QR codes for this uniqueid.Only if this QR code is a parent.
parentqrcodeParent QR code for this child QR code.Only if this QR code is a child.
childblockchaintriggersChild blockchain records for this uniqueid.Only child triggers where ischild is 1 and parentid is this uniqueid.